## Description

A Flutter plugin for iOS and Android for picking images from the image library, and taking new pictures with the camera. - Use with love 

## SetUp

Add the following to your "gradle.properties" file:

```dart
android.useAndroidX=true
android.enableJetifier=true
```

Make sure you set the compileSdkVersion in your "android/app/build.gradle" file to 31:

```dart
android {
  compileSdkVersion 31
  ...
}
```

Make sure you set the minSdkVersion in your "android/app/build.gradle" file to 21:


```dart
android {
  minSdkVersion 21
  ...
}
```

Set android.permission

```dart
<uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
<uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
<uses-permission android:name="android.permission.CAMERA" />
```

## Screenshots 

select image:
![screanshott](https://mfuzzy.com/flutter_package/fb_image_picker/1.png)
show skeleton:
![screanshott](https://mfuzzy.com/flutter_package/fb_image_picker/2.png)
show folders:
![screanshott](https://mfuzzy.com/flutter_package/fb_image_picker/3.png)
show camera:
![screanshott](https://mfuzzy.com/flutter_package/fb_image_picker/4.png)



## Getting started

add package URL in your pubspec file.

## Usage

Just Navigator push to FBImagePicker

```dart
TextButton(
        child: const Text(
        'FB Image Picker',
            ),
            onPressed: () {
                Navigator.push(
                    context,
                    MaterialPageRoute(
                        builder: (context) => FBImagePicker(
                            btnColor: Colors.blue,
                            title: 'FB Image Picker',
                            afterNextBTN: () {
                                Navigator.pop(context);
                            },
                            backOnSystem: () {
                                Navigator.pop(context);
                            },
                            onComplete: (final imagePickerList) {
                            setState(() {
                            imageList = imagePickerList;
                        });
                    },
                )),
            );
        })
```

## All params

```dart
        backgroundColor: Colors.white,
        btnColor: Colors.blue,
        textStyle: TextStyle(color: Colors.black),
        title: 'FB Image Picker',
        enableCamera: true,
        afterNextBTN: () {},
        backOnSystem: () {},
        onComplete: (imagePickerList) {},
```

## Additional information

- [GitHub](https://github.com/mkasaii16)
- [Linkedin](https://www.linkedin.com/in/moeinkasaei/)
- [My Email](mailto:mkasaii16@gmail.com)
- [Mfuzzy.com](https://mfuzzy.com)


